@import '../color';

.menu {
  height: 100%;
  background: $blue1;
  box-shadow: 3px 0 0 0 $gray1;
  z-index: 1;
  border-bottom-left-radius: 15px;
}

.menu-bar {
  padding: 20px 15px;
}

.menu-list {
  padding: 20px 0;

  &>.col {
    display: flex;
    justify-content: flex-end;
    text-align: right;

    a {
      width: calc(100% - 30px);
      text-align: center;
      font-size: 15px;

      padding: 10px;
      margin: 5px 0;
      border-top-left-radius: 20px;
      border-bottom-left-radius: 20px;

      transition: margin-right 0.3s ease-out,
        background 0.3s ease-out,
        box-shadow 0.3s ease-out,
        transform 0.2s ease-out,
        color 0.3s ease-out,
        opacity 0.3s ease-out;

      &.active {
        margin-right: 2px;
        background: $red2;
        box-shadow: 2px 0 0 $red2;
        color: $white2;
        opacity: 0.8;
        color: $white1;
      }

      &:hover {
        opacity: 1;
        margin-right: -2px;
        background: $red2;
        box-shadow: 2px 0 0 $red2;
        color: $white2;
      }

      &:active {
        transform: translateY(2px);
      }

      span {
        margin-right: 30px;
        color: $gray1;
        opacity: 0.8;
      }
    }
  }
}